org.apache.sysds.hops.codegen.opt

## Class PlanSelection.VisitMarkCost

- java.lang.Object
- - org.apache.sysds.hops.codegen.opt.PlanSelection.VisitMarkCost

Enclosing class:
  PlanSelection

    public static class PlanSelection.VisitMarkCost
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`VisitMarkCost(long hopID, long costID)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisitMarkCost

    public VisitMarkCost(long hopID,
                         long costID)

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`